BS Player BSL Buffer Overflow Exploit

BS Player contains a buffer prone to exploitation via an overly long string. The vulnerability is caused due to a boundary error when handling crafted .BSL files.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2009-1068
Product Version: 
8.0
Released Date: 
Tuesday, June 2, 2009 - 00:00